Package org.drinkless.tdlib

# Class TdApi.TermsOfService

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TermsOfService

Enclosing class:
  `TdApi`

public static class TdApi.TermsOfService extends TdApi.Object
Contains Telegram terms of service.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `minUserAge`
  The minimum age of a user to be able to accept the terms; 0 if age isn't restricted.
  `boolean`
  `showPopup`
  True, if a blocking popup with terms of service must be shown to the user.
  `TdApi.FormattedText`
  `text`
  Text of the terms of service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TermsOfService()`
  Contains Telegram terms of service.
  `TermsOfService(TdApi.FormattedText text, int minUserAge, boolean showPopup)`
  Contains Telegram terms of service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    Text of the terms of service.

  - ### minUserAge

    public int minUserAge
    The minimum age of a user to be able to accept the terms; 0 if age isn't restricted.

  - ### showPopup

    public boolean showPopup
    True, if a blocking popup with terms of service must be shown to the user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TermsOfService

    public TermsOfService()
    Contains Telegram terms of service.

  - ### TermsOfService

    public TermsOfService(TdApi.FormattedText text, int minUserAge, boolean showPopup)
    Contains Telegram terms of service.
    Parameters:
      `text` - Text of the terms of service.
      `minUserAge` - The minimum age of a user to be able to accept the terms; 0 if age isn't restricted.
      `showPopup` - True, if a blocking popup with terms of service must be shown to the user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR